IndyStaticTypesMultiTypeDispatcher (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.classgen.asm.indy.sc

## [Java] Class IndyStaticTypesMultiTypeDispatcher

- org.codehaus.groovy.classgen.asm.indy.sc.IndyStaticTypesMultiTypeDispatcher

- Multi type dispatcher for binary expression backend combining indy and static compilation

  Authors:
    Jochen Theodorou
  Since:
    2.5.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BinaryExpressionMultiTypeDispatcher` | `binExpWriter, typeMap, typeMapKeyNames`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IndyStaticTypesMultiTypeDispatcher (WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected BinaryExpressionWriter[]` | `initializeDelegateHelpers()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StaticTypesBinaryExpressionMultiTypeDispatcher` | `assignToArray, evaluateEqual, writePostOrPrefixMethod`
    `class BinaryExpressionMultiTypeDispatcher` | `BinaryExpressionMultiTypeDispatcher, assignToArray, doPrimitiveCompare, doPrimtiveCompare, evaluateBinaryExpression, evaluateBinaryExpressionWithAssignment, evaluateCompareExpression, getOperandType, initializeDelegateHelpers, writePostOrPrefixMethod`
    `class BinaryExpressionHelper` | `assignToArray, eval, evaluateArrayAssignmentWithOperator, evaluateBinaryExpression, evaluateBinaryExpressionWithAssignment, evaluateCompareExpression, evaluateEqual, evaluatePostfixMethod, evaluatePrefixMethod, evaluateTernary, getController, getIsCaseMethod, writePostOrPrefixMethod`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public IndyStaticTypesMultiTypeDispatcher(WriterController wc)

  - ### Method Detail

    - #### protected BinaryExpressionWriter[] initializeDelegateHelpers()